Debian Bug report logs - #386223
xkbsel: FTBFS due to conflicts between libxaw6-dev and libxaw7-dev

version graph

Package: xkbsel; Maintainer for xkbsel is (unknown);

Reported by: Damián Viano <debian@damianv.com.ar>

Date: Wed, 6 Sep 2006 04:03:01 UTC

Severity: serious

Tags: fixed, patch

Found in version xkbsel/0.13-13

Fixed in version 0.13-13.2

Done: Steve Langasek <vorlon@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gregory Pomerantz <gmp@alumni.brown.edu>:
Bug#386223; Package xkbsel. Full text and rfc822 format available.

Acknowledgement sent to Damián Viano <debian@damianv.com.ar>:
New Bug report received and forwarded. Copy sent to Gregory Pomerantz <gmp@alumni.brown.edu>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Damián Viano <debian@damianv.com.ar>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xkbsel: FTBFS due to conflicts between libxaw6-dev and libxaw7-dev
Date: Wed, 6 Sep 2006 00:32:45 -0300
[Message part 1 (text/plain, inline)]
Package: xkbsel
Version: 0.13-13
Severity: serious
Tags: patch
Justification: no longer build from source

Current build depends:

Build-Depends: debhelper, libxaw7-dev, xkb-data, libdb4.3-dev, libjpeg62-dev, libpng12-dev, libtiff4-dev, libungif4-dev, flex,
gettext, libtool, orbit, texinfo, libxaw6-dev

and since libxaw 1:1.0.2-4:

  libxaw6-dev: Conflicts: libxaw7-dev but 1:1.0.2-4 is to be installed
  libxaw7-dev: Conflicts: libxaw6-dev but 1:1.0.2-4 is to be installed
        E: Broken packages
        E: Could not satisfy build-dependency.

Removing libxaw6-dev dependency made it build, trivial patch attached.

	Hope to help,

-- 
Damián Viano(Des)              ¯ ¯ - _           _ - ¯ ¯
GPG: 0x6EB95A6F                 Debian ¯-_GNU_-¯ Linux
Web: http://damianv.com.ar/               ¯-¯
[xkbsel.patch (text/plain, inline)]
--- debian/control.orig	2006-09-03 16:11:52.000000000 -0300
+++ debian/control	2006-09-03 16:12:03.000000000 -0300
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Gregory Pomerantz <gmp@alumni.brown.edu>
-Build-Depends: debhelper, libxaw7-dev, xkb-data, libdb4.3-dev, libjpeg62-dev, libpng12-dev, libtiff4-dev, libungif4-dev, flex, gettext, libtool, orbit, texinfo, libxaw6-dev
+Build-Depends: debhelper, libxaw7-dev, xkb-data, libdb4.3-dev, libjpeg62-dev, libpng12-dev, libtiff4-dev, libungif4-dev, flex, gettext, libtool, orbit, texinfo
 Standards-Version: 3.6.1
 
 Package: xkbsel

Tags added: fixed Request was from Rene Engelhard <rene@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gregory Pomerantz <gmp@alumni.brown.edu>:
Bug#386223; Package xkbsel. Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to Gregory Pomerantz <gmp@alumni.brown.edu>. Full text and rfc822 format available.

Message #12 received at 386223@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: 386223@bugs.debian.org
Subject: NMU diff
Date: Fri, 15 Sep 2006 23:30:51 +0200
Hi,

please find includeda the -13.2 NMU diff for this bug.

--- xkbsel-0.13/debian/changelog
+++ xkbsel-0.13/debian/changelog
@@ -1,3 +1,10 @@
+xkbsel (0.13-13.2) unstable; urgency=low
+
+  * NMU
+  * remove obsolete libxaw6-dev build-dependency (closes: #386223)
+
+ -- Rene Engelhard <rene@debian.org>  Fri, 15 Sep 2006 22:30:07 +0200
+
 xkbsel (0.13-13.1) unstable; urgency=low

   * Non-maintainer upload.
diff -u xkbsel-0.13/debian/control xkbsel-0.13/debian/control
--- xkbsel-0.13/debian/control
+++ xkbsel-0.13/debian/control
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Gregory Pomerantz <gmp@alumni.brown.edu>
-Build-Depends: debhelper, libxaw7-dev, xkb-data, libdb4.3-dev, libjpeg62-dev, libpng12-dev, libtiff4-dev, libungif4-dev, flex, gettext, libtool, orbit, texinfo, libxaw6-dev
+Build-Depends: debhelper, libxaw7-dev, xkb-data, libdb4.3-dev, libjpeg62-dev, libpng12-dev, libtiff4-dev, libungif4-dev, flex, gettext, libtool, orbit, texinfo Standards-Version: 3.6.1

 Package: xkbsel

Regards,

Rene



Bug marked as fixed in version 0.13-13.2, send any further explanations to Damián Viano <debian@damianv.com.ar> Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Damián Viano <debian@damianv.com.ar>:
Bug#386223. Full text and rfc822 format available.

Message #17 received at 386223-submitter@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 386081-submitter@bugs.debian.org, 386185-submitter@bugs.debian.org, 386201-submitter@bugs.debian.org, 386202-submitter@bugs.debian.org, 386222-submitter@bugs.debian.org, 386223-submitter@bugs.debian.org, 386229-submitter@bugs.debian.org, 386267-submitter@bugs.debian.org, 386305-submitter@bugs.debian.org, 386319-submitter@bugs.debian.org, 386491-submitter@bugs.debian.org, 386620-submitter@bugs.debian.org, 386707-submitter@bugs.debian.org, 386719-submitter@bugs.debian.org, 386829-submitter@bugs.debian.org, 386833-submitter@bugs.debian.org, 386902-submitter@bugs.debian.org, 387063-submitter@bugs.debian.org, 387094-submitter@bugs.debian.org, 387133-submitter@bugs.debian.org, 387220-submitter@bugs.debian.org, 387433-submitter@bugs.debian.org, 387972-submitter@bugs.debian.org, 387974-submitter@bugs.debian.org, 387983-submitter@bugs.debian.org, 388026-submitter@bugs.debian.org, 388082-submitter@bugs.debian.org, 388193-submitter@bugs.debian.org, 388314-submitter@bugs.debian.org, 388535-submitter@bugs.debian.org, 388605-submitter@bugs.debian.org, 388609-submitter@bugs.debian.org, 388661-submitter@bugs.debian.org, 388831-submitter@bugs.debian.org, 389171-submitter@bugs.debian.org, 389233-submitter@bugs.debian.org, 389246-submitter@bugs.debian.org, 389304-submitter@bugs.debian.org, 389350-submitter@bugs.debian.org, 389352-submitter@bugs.debian.org, 389375-submitter@bugs.debian.org, 389377-submitter@bugs.debian.org, 389387-submitter@bugs.debian.org, 389391-submitter@bugs.debian.org, 389458-submitter@bugs.debian.org, 389560-submitter@bugs.debian.org, 389609-submitter@bugs.debian.org, 389639-submitter@bugs.debian.org, 389640-submitter@bugs.debian.org, 389696-submitter@bugs.debian.org, 389760-submitter@bugs.debian.org, 389769-submitter@bugs.debian.org, 389965-submitter@bugs.debian.org, 389968-submitter@bugs.debian.org, 390008-submitter@bugs.debian.org, 390276-submitter@bugs.debian.org, 390304-submitter@bugs.debian.org, 390384-submitter@bugs.debian.org, 390390-submitter@bugs.debian.org, 390403-submitter@bugs.debian.org, 390416-submitter@bugs.debian.org, 390467-submitter@bugs.debian.org, 390560-submitter@bugs.debian.org, 390657-submitter@bugs.debian.org, 390666-submitter@bugs.debian.org, 390671-submitter@bugs.debian.org, 390969-submitter@bugs.debian.org, 391025-submitter@bugs.debian.org, 391157-submitter@bugs.debian.org, 391181-submitter@bugs.debian.org, 391190-submitter@bugs.debian.org, 391199-submitter@bugs.debian.org, 391201-submitter@bugs.debian.org, 391206-submitter@bugs.debian.org, 391208-submitter@bugs.debian.org, 391237-submitter@bugs.debian.org, 391257-submitter@bugs.debian.org, 391266-submitter@bugs.debian.org, 391291-submitter@bugs.debian.org, 391391-submitter@bugs.debian.org, 391465-submitter@bugs.debian.org, 391566-submitter@bugs.debian.org, 391601-submitter@bugs.debian.org, 391695-submitter@bugs.debian.org, 391696-submitter@bugs.debian.org, 391697-submitter@bugs.debian.org, 391749-submitter@bugs.debian.org, 391750-submitter@bugs.debian.org, 391752-submitter@bugs.debian.org, 391754-submitter@bugs.debian.org, 391755-submitter@bugs.debian.org, 391760-submitter@bugs.debian.org, 391766-submitter@bugs.debian.org, 391767-submitter@bugs.debian.org, 391782-submitter@bugs.debian.org, 391791-submitter@bugs.debian.org, 391808-submitter@bugs.debian.org, 391846-submitter@bugs.debian.org, 391848-submitter@bugs.debian.org, 392053-submitter@bugs.debian.org, 392154-submitter@bugs.debian.org, 392164-submitter@bugs.debian.org, 392166-submitter@bugs.debian.org, 392318-submitter@bugs.debian.org, 392422-submitter@bugs.debian.org, 392730-submitter@bugs.debian.org, 392734-submitter@bugs.debian.org, 392850-submitter@bugs.debian.org, 392855-submitter@bugs.debian.org, 393012-submitter@bugs.debian.org, 393044-submitter@bugs.debian.org, 393051-submitter@bugs.debian.org, 393388-submitter@bugs.debian.org, 393449-submitter@bugs.debian.org, 393726-submitter@bugs.debian.org
Subject: Bugs fixed in NMU, documenting versions
Date: Sat, 21 Oct 2006 23:44:56 -0700
# Hi folks,
#
# All of these bugs have been fixed in NMU, but not acknowledged by the
# maintainers.  With version tracking in the Debian BTS, it is important to
# know which version of a package fixes each bug so that they can be tracked
# for release status in the BTS, so I'm closing these bugs with the relevant
# version number information now.

close 386081 0.99.10-1.1
close 386185 6.5.0.cvs.20060524-1.1
close 386201 2.0.14-0.1
close 386202 2.0.14-0.1
close 386222 0.13.alfa.8-3.1
close 386223 0.13-13.2
close 386229 0.35-6.1
close 386267 2.0.5-1.1
close 386305 0.0.26-5.1
close 386319 1.2.0-3.2
close 386491 1.1-2.1
close 386620 0.3.8-5.1
close 386707 20060907.1
close 386719 2.0.5-1.1
close 386829 0.65.1
close 386833 0.15-1.2
close 386902 2.2.3-1.2
close 387063 2.6.4-2.1
close 387094 2.2.3-1.3
close 387133 2:1.0.0-9
close 387220 0.65.1
close 387433 1.3-1.2
close 387972 0.0.20060309-5.1
close 387974 0.0.20060309-5.1
close 387983 2:0.92-3.1
close 388026 2.8.5-1.2
close 388082 0.0.20060309-5.1
close 388314 1:0.3.7-3.1
close 388535 1.4.3.dfsg-1.2
close 388605 1.0.2-0.1
close 388609 0.3.7-4.2
close 388661 0.15-16.1
close 389171 1.23-1.1
close 389233 1.99.beta2.1
close 389246 2.7.7-12.1
close 389304 3.2.3-1.1
close 389350 2.0.4-2.1
close 389352 3.3.0-5.4
close 389375 2.4.0-4.2
close 389377 1.0.4-1.2
close 389387 2.6.2-24.1
close 389391 0.3.8-1.2
close 389458 0.35-6.1
close 389560 2:0.92-3.1
close 389609 1.2.4par-0.2
close 389639 1.1.1-0.2
close 389640 0.3.7-4.2
close 389696 0.6-2.1
close 389760 1.1.0+1.1.1-a021-1.1
close 389769 3.0.8-0.2
close 389965 4.4rc.2-3.1
close 389968 4.51.5-1.1
close 390008 0.9.6-1.1
close 390276 2.13~beta3-0.1
close 390304 0.2.0-1
close 390384 0.12-5.1
close 390390 2.8.8-1.1
close 390403 0.0.20040112.dfsg-0.2
close 390467 1.0.0-1.1
close 390560 6.5.1-0.2
close 390657 1.0+dfsg0-0.1
close 390666 0.4.5+dfsg0-0.1
close 390671 3.13-7.1
close 390969 0.2-2.2
close 391025 1.1.2-1.1
close 391157 2.2.0-3.1
close 391181 2.0.10.1.1
close 391190 0.09-1.1
close 391199 0.84-6.1
close 391201 1.0.1-2.1
close 391206 2003.00.00-2.1
close 391208 0.7-9.1
close 391237 5.6.3-2.1
close 391257 0.20.1-1.1
close 391266 1.5.12.1-19.1
close 391291 0.0.20060309-5.2
close 391391 0.12-2.2
close 391465 2.0-8.1
close 391566 1:1.6.1-7.1
close 391601 3:20020927-3.1
close 391695 0.4.6-0.1
close 391696 1:3.9.20060704-2.1
close 391697 2.0-6.1
close 391749 1.0-1.1
close 391750 2.0.2-2.2
close 391752 1.1.1-6.1
close 391754 4.4rc.2-3.1
close 391755 1.1.4-3.1
close 391760 4.996-5.0-rc7-1.1
close 391767 2.0.48-4-2.2
close 391782 0.4-1.1
close 391791 1.2.6-1.1
close 391808 3.5-1.2
close 391848 0.2.7.1-1.1
close 392053 0.5.0-1.4
close 392154 3.06.dfsg.1-0.1
close 392164 0.31-5.1
close 392166 1.2
close 392318 1.5.1.dfsg-2.1
close 392422 0.2.0-1
close 392730 0.4.6-0.2
close 392855 1.4.29-1
close 393012 0.4-1.1
close 393044 5.4.2-1.1
close 393051 1.9~b3-1
close 393388 0.4.5+dfsg0-0.1
close 393726 1.71.0.dfsg.1-1.1
thanks

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 22:06:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 19:49:14 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.